package org.springblade.customer.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.customer.dto.FctCsIrregularDTO;
import org.springblade.customer.entity.FctCsIrregular;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 客服不规范定制数据表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
public interface FctCsIrregularMapper extends BaseMapper<FctCsIrregular> {

	boolean insertBatch(List<FctCsIrregularDTO> excelList);

	boolean deleteOldData(@Param("sTime") String sTime, @Param("eTime") String eTime,@Param("spcode") String spcode);

	void setSpid();

	void setTheday();

	void deleteInvisibleDatay(@Param("sTime") String sTime, @Param("eTime") String eTime);

	void deleteInvisibleDataw(@Param("sTime") String sTime, @Param("eTime") String eTime);

	void deleteInvisibleDatas(@Param("sTime") String sTime, @Param("eTime") String eTime);

	void callData1(@Param("sTime") String sTime);

	void callData12(@Param("month") String substring);

}
